#ifndef _TZ_H
#define _TZ_H

#ifndef __TIME
#include <time.h>
#endif

struct tz
{
  char tz_string[4+1],dst_string[4+1];
  long gmt_offset,dst_offset;
  time_t begin,end;
  int inrange;
};

int GetTZ(char *evar,struct tz *tz);
int MakeTZ(char *s,const struct tz *tz,int tag);
time_t calc_be(char *s,const struct tm *date);
time_t calcd(char *s,const struct tm *date,time_t startyear);
long calch(char *s);

#endif /* _TZ_H */
